%define version  0.9.0rc2
%define modsubdir "misc"

Summary:   ALSA driver
Name:      alsa-driver
Version:   %{version}
Release:   1
Source:    alsa-driver-%{version}.tar.bz2
URL:       http://www.alsa-project.org
Copyright: GPL
Group:     Base/Kernel
Requires:  kernel-headers
BuildRoot: /var/tmp/alsa-driver-%{version}-root

%changelog

* Tue Nov 20 2001 Jaroslav Kysela <perex@suse.cz>

- changed BuildRoot to /var/tmp

* Sun Nov 11 2001 Miroslav Benes <mbenes@tenez.cz>

- SPEC file is now kernel independent - modules are compiled for kernel specified
  in $TARGET_KERNEL variable or for running kernel
- dangerous command "rm -rf $RPM_BUILD_ROOT" checks $RPM_BUILD_ROOT variable
- deleting service alsasound migrates from %postun into %preun script -
  after uninstalling chkconfig utility cannot found alsasound script


%description
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features.

%prep
%setup

%build
./configure --prefix=%_prefix ${EXTRA_ALSA_DRIVER_CONFIG_FLAGS}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

if [ -n "$TARGET_KERNEL" ] ; then 
    export KVERSION=$TARGET_KERNEL
else
    export KVERSION=`uname -r`
fi

for I in etc/rc.d/init.d usr/include/linux lib/modules/$KVERSION/%{modsubdir}; do
  mkdir -p $RPM_BUILD_ROOT/$I
done

make prefix=$RPM_BUILD_ROOT/usr \
     moddir=$RPM_BUILD_ROOT/lib/modules/$KVERSION/%{modsubdir} \
     install


install -m755 utils/alsasound $RPM_BUILD_ROOT/etc/rc.d/init.d/alsasound

# files list - path for modules depends on kernel version
echo "%attr(-,root,root) /lib/modules/$KVERSION/%{modsubdir}"			>/tmp/alsa-driver-files.lst
# other files must be in file list too
echo "%attr(-,root,root) %doc FAQ INSTALL README TODO snddevices doc/*" 	>>/tmp/alsa-driver-files.lst
echo "%attr(-,root,root) %config /etc/rc.d/init.d/*"                            >>/tmp/alsa-driver-files.lst
echo "%attr(-,root,root) /usr/include/sound/*.h"                                >>/tmp/alsa-driver-files.lst

%post
if [ -x /sbin/chkconfig ]; then
  chkconfig --add alsasound
fi
depmod -a

%preun
if [ "$1" = 0 ] ; then
  if [ -x /sbin/chkconfig ]; then
    chkconfig --del alsasound
  fi
fi

%clean
rm -f /tmp/alsa-driver-files.lst
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f /tmp/alsa-driver-files.lst
